Add Whitelist RuleAsk AIpost https://{sandfly-api-host}/v4/whitelistrulesAdd a whitelist rule.Query Paramsallowmergebooleanallow this whitelist to be merged into an existing whitelist if the conditions are the sametruefalseBody ParamsWhitelist rule config.sandflystringrequiredName of the sandfly this rule relates to.all_hostsbooleanDefaults to falseDoes this rule apply to all hosts. If true, host_ids and host_tags will be ignored.truefalsehost_idsarray of stringsDefaults to A list of host IDs that will have this rule applied.host_idsADD stringhost_tagsarray of stringsDefaults to A list of host tags. If a host matches any tag, it will have this rule applied.host_tagsADD stringrule_opstringenumDefaults to andandorAllowed:andorrulesarray of stringsDefaults to At least one rule is required if this isn't a sandfly exclusion whitelist.rulesADD stringexclude_sandflybooleanDefaults to falseIf true, this sandfly will not run on configured hosts and disregard any rules.truefalseactivebooleanDefaults to trueIf true, the whitelist rule is enabled. If false, the whitelist will not be applied to results.truefalsecommentstringA descriptive comment about this whitelist rule.Responses 200Existing Whitelist rule updated. The response will include the ID of the existing whitelist that was updated based on merging this new whitelist request into an identical existing whitelist. 201Whitelist rule created. If merge was allowed, there was no existing whitelist rule found to merge this rule into. 401Error adding whitelist rule. defaultUnexpected errorUpdated 3 months ago